Bug 1322702 - Automatic nova evacuate not working
Summary: Automatic nova evacuate not working
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: fence-agents
Version: 7.0
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: rc
: ---
Assignee: Marek Grac
QA Contact: Asaf Hirshberg
URL:
Whiteboard:
Depends On: 1313561
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-03-31 07:38 UTC by Marcel Kolaja
Modified: 2016-04-14 22:29 UTC (History)
38 users (show)

Fixed In Version: fence-agents-4.0.11-27.el7_2.7
Doc Type: Bug Fix
Doc Text:
Cause: fence_compute only searches for instances created as the admin user Consequence: instances created as non-admin user wont be evacuated when a compute the instance is turned off Fix: update fence_compute to search for instances run as any user Result: fence_compute evacuates as expected
Clone Of: 1313561
Environment:
Last Closed: 2016-04-14 22:29:06 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:0634 normal SHIPPED_LIVE fence-agents bug fix update 2016-04-15 02:28:55 UTC

Description Marcel Kolaja 2016-03-31 07:38:29 UTC
This bug has been copied from bug #1313561 and has been proposed
to be backported to 7.2 z-stream (EUS).

Comment 4 arkady kanevsky 2016-04-05 13:42:02 UTC
Mr. Burns, will that land in OSP8 GA?

Comment 5 Fabio Massimo Di Nitto 2016-04-05 13:43:53 UTC
(In reply to arkady kanevsky from comment #4)
> Mr. Burns, will that land in OSP8 GA?

Arkady,

as I mentioned before, the fix for fence-agent doesn´t come from the OSP channels but from the RHEL-HA channels (different release schedules).

We are pushing the fix to be out at the same time of OSP8 GA or max one day later.

Fabio

Comment 6 Mike Burns 2016-04-05 13:59:03 UTC
(In reply to Fabio Massimo Di Nitto from comment #5)
> (In reply to arkady kanevsky from comment #4)
> > Mr. Burns, will that land in OSP8 GA?
> 
> Arkady,
> 
> as I mentioned before, the fix for fence-agent doesn´t come from the OSP
> channels but from the RHEL-HA channels (different release schedules).
> 
> We are pushing the fix to be out at the same time of OSP8 GA or max one day
> later.
> 
> Fabio

Just for clarity, this means that it will be available in RHEL approximately when we do the official announcement of OSP.  The package itself won't be in our images, however.  The package can be updated via virt-customize or by running an update after deploying the overcloud.

Comment 9 Asaf Hirshberg 2016-04-07 14:07:05 UTC
Verified.

code verified, based on bug #1313561
rpm -Uvh fence-agents-common-4.0.11-27.el7_2.7.x86_64.rpm;
rpm -Uvh fence-agents-compute-4.0.11-27.el7_2.7.x86_64.rpm
[root@overcloud-controller-0 ~]# cat /sbin/fence_compute|grep -n all_tenant
107:	servers = nova.servers.list(search_opts={'host': options["--plug"], 'all_tenants': 1 })

Comment 11 errata-xmlrpc 2016-04-14 22:29:06 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2016-0634.html


Note You need to log in before you can comment on or make changes to this bug.